Package org.eclipse.net4j.signal

# Class EntityRequest

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalActor
org.eclipse.net4j.signal.RequestWithConfirmation<Integer>
org.eclipse.net4j.signal.EntityRequest

All Implemented Interfaces:
  `Runnable`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

public class EntityRequest extends RequestWithConfirmation<Integer>

Since:
  4.20
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ERROR_ILLEGAL_OPCODE`
`static final int`
`ERROR_NO_PROVIDER`
`static final int`
`OPCODE_QUERY_ENTITIES_BY_NAMES`

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`EntityRequest(SignalProtocol<?> protocol, BiConsumer<String,org.eclipse.net4j.util.collection.Entity> entityHandler, String namespace, String... names)`

## Method Summary

Modifier and Type
Method
Description
`protected Integer`
`confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in)`
Important Note: The confirmation must not be empty, i.e.
`protected String`
`getAdditionalInfo()`
`protected org.eclipse.net4j.util.io.StringCompressor`
`getStringCompressor()`
`protected void`
`requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)`

### Methods inherited from class org.eclipse.net4j.signal.RequestWithConfirmation

`getAsyncExecutorService, onRemoteException, send, send, sendAsync`

### Methods inherited from class org.eclipse.net4j.signal.SignalActor

`execute`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getBufferInputStream, getBufferOutputStream, getContainer, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OPCODE_QUERY_ENTITIES_BY_NAMES

public static final int OPCODE_QUERY_ENTITIES_BY_NAMES

See Also:
  - Constant Field Values

### ERROR_NO_PROVIDER

public static final int ERROR_NO_PROVIDER

See Also:
  - Constant Field Values

### ERROR_ILLEGAL_OPCODE

public static final int ERROR_ILLEGAL_OPCODE

See Also:
  - Constant Field Values

## Constructor Details

### EntityRequest

public EntityRequest(SignalProtocol<?> protocol, BiConsumer<String,org.eclipse.net4j.util.collection.Entity> entityHandler, String namespace, String... names)

## Method Details

### requesting

protected void requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out) throws Exception

Specified by:
  `requesting` in class `RequestWithConfirmation<Integer>`
Throws:
  `Exception`

### confirming

protected Integer confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in) throws Exception
Description copied from class: `RequestWithConfirmation`
Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!

Specified by:
  `confirming` in class `RequestWithConfirmation<Integer>`
Throws:
  `Exception`

### getStringCompressor

protected org.eclipse.net4j.util.io.StringCompressor getStringCompressor()

### getAdditionalInfo

protected String getAdditionalInfo()

Overrides:
  `getAdditionalInfo` in class `Signal`